#
# Check for FLEX.
#
# This macro verifies that flex is installed. If successful, then
# 1) LEX is set to flex (to emulate lex calls)
# 2) FLEX is set to flex
#
AC_DEFUN([AC_PROG_FLEX],
[AC_PROG_LEX()
if test "$LEX" != "flex"; then
 AC_SUBST(FLEX,[])
 AC_MSG_ERROR([flex not found])
else
 AC_SUBST(FLEX,[flex])
fi
])