#ifndef SRC_HEXSTR_HPP_
#define SRC_HEXSTR_HPP_

#include <cstdint>
#include <string>
#include <vector>

namespace org {
namespace gdb {
namespace rsp {

class hexstr {

public:

	static std::string decode( const std::string & src );
	static std::string encode( const std::string & src );
	static std::vector<uint8_t> get_bytes( const std::string & hexstr );
	static uint8_t get_byte( const std::string & hexstr );

private:
	hexstr() {}

};

} /* namespace rsp */
} /* namespace gdb */
} /* namespace org */

#endif /* SRC_HEXSTR_HPP_ */
